/*
 * $Id: mtparse.h,v 1.12 2013/10/23 22:14:03 ca Exp $
 */

#ifndef MTPARSE_H
#define MTPARSE_H 1

#define SMAR_PROT_ESMTP	0	/* default; must be 0 */
#define SMAR_PROT_LMTP	1
#define SMAR_MT_IP_MAX	8

struct ar_mt_ipp_S {
	sm_ipaddr_T	 ipp_addr;
	uint32_t	 ipp_pref;
};
typedef struct ar_mt_ipp_S ar_mt_ipp_T, *ar_mt_ipp_P;

typedef struct ar_mtcnf_S ar_mtcnf_T, *ar_mtcnf_P;
struct ar_mtcnf_S
{
	uint		 ar_mt_cnf_prot;
	ushort		 ar_mt_cnf_port;
	uint		 ar_mt_cnf_flags;
	char		*ar_mt_cnf_host;
	char		*ar_mt_cnf_ips[SMAR_MT_IP_MAX];
	uint		 ar_mt_cnf_n_ips;
	ar_mt_ipp_T	 ar_mt_cnf_ipp[SMAR_MT_IP_MAX];
	sm_conf_T	*ar_mt_cnf_smc;
};

/* #define SMAR_MT_CNF_A_ONLY	0x01 */
#define SMAR_MT_CNF_MX	0x02

sm_ret_T
smar_mt_parse(smar_clt_ctx_P _smar_clt_ctx, sm_str_P _mtrhs, ar_mtcnf_P _ar_mtcnf);
sm_ret_T smar_mtcnf_clear(ar_mtcnf_P _ar_mtcnf);

#endif /* MTPARSE_H */
